Package: org.gradle.language.rc

## [Java] Interface WindowsResourceSet

- org.gradle.language.rc.WindowsResourceSet

- All Superinterfaces:
    NativeResourceSet, HeaderExportingSourceSet, Buildable, LanguageSourceSet

  A set of Windows Resource definition files.

  A Windows Resource set contains a set of script files, together with an optional set of header files.

       apply plugin: "windows-resources"

       model {
           components {
               main(NativeLibrarySpec) {
                   sources {
                       rc {
                           source {
                               srcDirs "src/main/rc"
                               include "**/*.rc"
                           }
                           exportedHeaders {
                               srcDirs "src/main/include"
                           }
                       }
                   }
               }
           }
       }

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface HeaderExportingSourceSet` | `exportedHeaders, getExportedHeaders, getImplicitHeaders`
    `interface LanguageSourceSet` | `generatedBy, getDisplayName, getSource, source`